<?php
/**
 * @package		Messages
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2015-2019 DevFuse
 */
 
namespace IPS\gms;

/**
 * Messages Application Class
 */
class _Application extends \IPS\Application
{ 
	/**
	 * [Node] Get Icon for tree
	 *
	 * @note	Return the class for the icon (e.g. 'globe')
	 * @return	string|null
	 */
	protected function get__icon()
	{
		return 'inbox';
	}
    
	/**
	 * Install 'other' items.
	 *
	 * @return void
	 */
	public function installOther()
	{
	    /* Insert custom lang fields */
		\IPS\Lang::saveCustom( 'gms', 'gms_message_1', "Example Message" );
        \IPS\Lang::saveCustom( 'gms', 'gms_message_1_message', "<p><strong>My example message.</strong> This is an example message.</p>" );
        \IPS\Lang::saveCustom( 'gms', 'gms_title_value', "%board_name% Messages" );
	}    
}