//<?php
/**
 * @package		Messages
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2015-2019 DevFuse
 */
 
/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class gms_hook_gmsJSHook extends _HOOK_CLASS_
{
	/**
	 * Init
	 *
	 * @return	void
	 */
	public function init()
	{
		try
		{
	        /* Normal loading */
	        \call_user_func_array( 'parent::init', \func_get_args() );
	
	        /* Collpase messages enabled? */
	        if( \IPS\Settings::i()->gms_collapse )
	        {
	            \IPS\Output::i()->jsFiles = array_merge( \IPS\Output::i()->jsFiles, \IPS\Output::i()->js( 'front_message.js', 'gms', 'front' ) );
	            \IPS\Output::i()->cssFiles = array_merge( \IPS\Output::i()->cssFiles, \IPS\Theme::i()->css( 'messages.css', 'gms', 'front' ) );
	        }
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
